import { Pipe, PipeTransform } from '@angular/core';
import {Button, buttonData} from "../../data/common/button.namespace";

@Pipe({
  name: 'button',
  standalone: true
})
export class ButtonPipe implements PipeTransform {
  data: Button[] = buttonData;

  /**
   * 获取数据字典
   * @param buttonCode
   */
  isButton(buttonCode: string): boolean {
    // 读取缓存数据
    return this.data.find(o => o.menuUrl == buttonCode) != null;
  }

  /**
   * 获取数据字典
   * @param buttonCode
   */
  getButton(buttonCode: string): Button | any {
    // 读取缓存数据
    return this.data.find(o => o.menuUrl == buttonCode);
  }

  transform(codeType: string): string {
    const obj = this.getButton(codeType);
    if (obj == null) {
      return '未知';
    } else {
      return obj.menuName;
    }
  }

}
