import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderOilService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public queryList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOrder/queryOilOrderList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 导出加油订单
   * @param param
   * @param callBack
   */
  public exportOilOrder(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOrder/exportOilOrder?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 统计数据
   * @param param
   * @param callBack
   */
  public countOilData(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOrder/countOilData?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 订单详情
   * @param orderNo
   * @param callBack
   */
  public queryOilOrder(orderNo: string, callBack:any) {
    const param = {
      orderNo: orderNo,
      tm: new Date().getTime()
    }
    this.http.get(environment.baseUrl + 'gasOrder/queryOilOrder?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 打印订单
   * @param orderNo
   * @param callBack
   */
  public printOrder(orderNo: string, callBack:any) {
    const param = {
      orderNo: orderNo,
      tm: new Date().getTime()
    }
    this.http.get(environment.baseUrl + 'gasOrder/printOrder?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

}
